package com.malk.diwei.service;

import com.malk.diwei.entity.Goods;
import com.baomidou.mybatisplus.extension.service.IService;
import com.malk.server.common.McR;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author WZY
 * @since 2025-03-12
 */
public interface GoodsService extends IService<Goods> {

    McR syncGoods();

    McR queryGoodsStock(Integer goodsId, Integer colorId, Integer sizeId);

    McR addBom(Map map);

    McR queryGoodsNewBom(int goodsId);

    McR queryBomIsExist(String bomCode);
}
